Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class UIUtil

    java.lang.Object
      com.sshtools.common.ui.UIUtil

All Implemented Interfaces:
  javax.swing.SwingConstants

public class UIUtil
extends java.lang.Object
implements javax.swing.SwingConstants

DOCUMENT ME!

Field Summary

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`UIUtil()`

Method Summary
`static void` | `jGridBagAdd(javax.swing.JComponent parent, javax.swing.JComponent componentToAdd, java.awt.GridBagConstraints constraints, int pos)` DOCUMENT ME!
`static void` | `positionComponent(int p, java.awt.Component c)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIUtil

    public UIUtil()

Method Detail

### jGridBagAdd

    public static void jGridBagAdd(javax.swing.JComponent parent,
                                   javax.swing.JComponent componentToAdd,
                                   java.awt.GridBagConstraints constraints,
                                   int pos)

  DOCUMENT ME!

  Parameters:
    `parent` - DOCUMENT ME!
    `componentToAdd` - DOCUMENT ME!
    `constraints` - DOCUMENT ME!
    `pos` - DOCUMENT ME!
  Throws:
    `java.lang.IllegalArgumentException` - DOCUMENT ME!

### positionComponent

    public static void positionComponent(int p,
                                         java.awt.Component c)

  DOCUMENT ME!

  Parameters:
    `p` - DOCUMENT ME!
    `c` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD